View Issue Details

IDProjectCategoryView StatusLast Update
0005715Talerbank (demonstrator)public2019-06-01 10:57
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005715: stop using validictory
DescriptionWe are using a library for input validation called "validictory" [1]. This library is ugly and also deprecated/unsupported. The way we're using this library is a complete mess [2]. Changing one parameter becomes and adventure of chasing down odd schema definitions. While there are much better python libraries available [3], why don't we just use Django's built-in form validation? That also works for GET parameters.

[1] https://github.com/jamesturk/validictory
[2] https://git.taler.net/bank.git/tree/talerbank/app/schemas.py?id=801d7032206cd89477bc201eccb5da47a5b975f2#n319
[3] https://valedictory.readthedocs.io/en/latest/ (sounds similar, but is completely different!)
[4] https://pypi.org/project/jsonschema/ also kind of ugly, but at least based on a standard
TagsNo tags attached.

Activities

Marcello Stanisci

2019-05-31 20:31

manager   ~0014476

Purging Validictory from commit: c43180054aa94409.

Next change should revise the way the exception middleware constructs error responses, but that's not strictly related to this one, therefore I am going to close here.

Issue History

Date Modified Username Field Change
2019-05-08 07:07 Florian Dold New Issue
2019-05-08 07:07 Florian Dold Status new => assigned
2019-05-08 07:07 Florian Dold Assigned To => Marcello Stanisci
2019-05-31 20:31 Marcello Stanisci Note Added: 0014476
2019-05-31 20:31 Marcello Stanisci Status assigned => resolved
2019-05-31 20:31 Marcello Stanisci Resolution open => fixed
2019-06-01 10:57 Christian Grothoff Product Version => SVN HEAD
2019-06-01 10:57 Christian Grothoff Fixed in Version => 0.6
2019-06-01 10:57 Christian Grothoff Target Version => 0.6